System.Web 2.0.0.0 System.Enum

The enumeration represents the behaviors that you can apply to a object within an control. The and the properties use these enumeration values to set the behavior of a object when it is clicked. If both properties are set, the property specified on each individual object takes precedence over the property on the control.

If you specify HotSpotMode.NotSet for the property of an individual object, the gets its behavior from the containing control's property. In this scenario, if the control's property is either NotSet or no value is specified, the default behavior is to navigate to a URL.

If an control's behavior is not specified using either the property or the property on the objects it contains, by default the behavior is HotSpotMode.Navigate. In addition, if the properties on the objects that an control contains are set to HotSpotMode.NotSet and no value is specified for the property, the default behavior is HotSpotMode.Navigate.

If you specify HotSpotMode.Navigate for either the property or the property, the page navigates to a URL when the is clicked. Use the or the property to specify the URL to navigate to.

If you specify HotSpotMode.PostBack for either the property or the property, the page generates a postback to the server when the is clicked. Use the property to specify a name for the object. This name will be passed in the event data when the postback event occurs. When a postback is clicked, the event is raised. To programmatically control the actions performed when a postback is clicked, provide an event handler for the event.

If you specify HotSpotMode.Inactive for the property, the object does not have any behavior when it is clicked. You can use this value to create an inactive hot spot within a larger active hot spot. This option is provided to allow you to create more complex hot spot zones within an control.

To create an inactive area within an active hot spot, you must specify the inactive hot spot before the active one in the control. For example, the following defines an active ring by specifying an inactive circular hot spot within a larger active circular hot spot:

`<asp:ImageMap ID="SaturnImage" ImageUrl="~/saturn.PNG" runat="server" OnClick="SaturnImage_Click"> <asp:CircleHotSpot AlternateText="planet" HotSpotMode=PostBack PostBackValue="planet" Radius=40 X=100 Y=100 /> <asp:CircleHotSpot HotSpotMode=Inactive Radius=60 X=100 Y=100 /> <asp:CircleHotSpot AlternateText="rings" HotSpotMode=PostBack PostBackValue="rings" Radius=80 X=100 Y=100 /> </asp:ImageMap>`

Specifies the behaviors of a object in an control when the is clicked.

- Field
  System.Web.UI.WebControls.HotSpotMode

  The does not have any behavior.

  2.0.0.0
- Field
  System.Web.UI.WebControls.HotSpotMode

  The navigates to a URL.

  2.0.0.0
- Field
  System.Web.UI.WebControls.HotSpotMode

  The uses the behavior set by the control's property. If the control does not define the behavior, the object navigates to a URL.

  2.0.0.0
- Field
  System.Web.UI.WebControls.HotSpotMode

  The generates a postback to the server.

  2.0.0.0